# Class TCefDomDocumentRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFDomDocument

## Declaration

`type TCefDomDocumentRef = class(TCefBaseRefCountedRef, ICefDomDocument)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefDomDocumentRef

## Overview

### Methods

| `function GetType: TCefDomDocumentType;`
| `function GetDocument: ICefDomNode;`
| `function GetBody: ICefDomNode;`
| `function GetHead: ICefDomNode;`
| `function GetTitle: ustring;`
| `function GetElementById(const id: ustring): ICefDomNode;`
| `function GetFocusedNode: ICefDomNode;`
| `function HasSelection: Boolean;`
| `function GetSelectionStartOffset: Integer;`
| `function GetSelectionEndOffset: Integer;`
| `function GetSelectionAsMarkup: ustring;`
| `function GetSelectionAsText: ustring;`
| `function GetBaseUrl: ustring;`
| `function GetCompleteUrl(const partialURL: ustring): ustring;`
| `class function UnWrap(data: Pointer): ICefDomDocument;`

## Description

### Methods

| `function GetType: TCefDomDocumentType;`
This item has no description. Showing description inherited from ICefDomDocument.GetType. Returns the document type.

| `function GetDocument: ICefDomNode;`
This item has no description. Showing description inherited from ICefDomDocument.GetDocument. Returns the root document node.

| `function GetBody: ICefDomNode;`
This item has no description. Showing description inherited from ICefDomDocument.GetBody. Returns the BODY node of an HTML document.

| `function GetHead: ICefDomNode;`
This item has no description. Showing description inherited from ICefDomDocument.GetHead. Returns the HEAD node of an HTML document.

| `function GetTitle: ustring;`
This item has no description. Showing description inherited from ICefDomDocument.GetTitle. Returns the title of an HTML document.

| `function GetElementById(const id: ustring): ICefDomNode;`
This item has no description. Showing description inherited from ICefDomDocument.GetElementById. Returns the document element with the specified ID value.

| `function GetFocusedNode: ICefDomNode;`
This item has no description. Showing description inherited from ICefDomDocument.GetFocusedNode. Returns the node that currently has keyboard focus.

| `function HasSelection: Boolean;`
This item has no description. Showing description inherited from ICefDomDocument.HasSelection. Returns true (1) if a portion of the document is selected.

| `function GetSelectionStartOffset: Integer;`
This item has no description. Showing description inherited from ICefDomDocument.GetSelectionStartOffset. Returns the selection offset within the start node.

| `function GetSelectionEndOffset: Integer;`
This item has no description. Showing description inherited from ICefDomDocument.GetSelectionEndOffset. Returns the selection offset within the end node.

| `function GetSelectionAsMarkup: ustring;`
This item has no description. Showing description inherited from ICefDomDocument.GetSelectionAsMarkup. Returns the contents of this selection as markup.

| `function GetSelectionAsText: ustring;`
This item has no description. Showing description inherited from ICefDomDocument.GetSelectionAsText. Returns the contents of this selection as text.

| `function GetBaseUrl: ustring;`
This item has no description. Showing description inherited from ICefDomDocument.GetBaseUrl. Returns the base URL for the document.

| `function GetCompleteUrl(const partialURL: ustring): ustring;`
This item has no description. Showing description inherited from ICefDomDocument.GetCompleteUrl. Returns a complete URL based on the document base URL and the specified partial URL.

| `class function UnWrap(data: Pointer): ICefDomDocument;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.